Package org.jboss.resteasy.core

## Class AbstractExecutionContext

- java.lang.Object
- - org.jboss.resteasy.core.AbstractExecutionContext

- All Implemented Interfaces:
    `ResteasyAsynchronousContext`
  Direct Known Subclasses:
    `SynchronousExecutionContext`

      public abstract class AbstractExecutionContext
      extends Object
      implements ResteasyAsynchronousContext

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected SynchronousDispatcher` | `dispatcher` |
    `protected HttpRequest` | `request` |
    `protected HttpResponse` | `response` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractExecutionContext​(SynchronousDispatcher dispatcher, HttpRequest request, HttpResponse response)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `initialRequestEnded()` |
    `void` | `initialRequestStarted()` |
    `boolean` | `isOnInitialRequest()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.resteasy.spi.ResteasyAsynchronousContext

      `complete, executeAsyncIo, executeBlockingIo, getAsyncResponse, isSuspended, suspend, suspend, suspend`

- - ### Field Detail

    - #### dispatcher

          protected SynchronousDispatcher dispatcher

    - #### request

          protected HttpRequest request

    - #### response

          protected HttpResponse response

  - ### Constructor Detail

    - #### AbstractExecutionContext

          protected AbstractExecutionContext​(SynchronousDispatcher dispatcher,
                                             HttpRequest request,
                                             HttpResponse response)

  - ### Method Detail

    - #### initialRequestStarted

          public void initialRequestStarted()

      Specified by:
        `initialRequestStarted` in interface `ResteasyAsynchronousContext`

    - #### isOnInitialRequest

          public boolean isOnInitialRequest()

      Specified by:
        `isOnInitialRequest` in interface `ResteasyAsynchronousContext`

    - #### initialRequestEnded

          public void initialRequestEnded()

      Specified by:
        `initialRequestEnded` in interface `ResteasyAsynchronousContext`